std::ios_base::failure(3cxx)

NAME
std::ios_base::failure - These are thrown to indicate problems with io.

SYNOPSIS

#include <ios>

Inherits std::system_error.

  Public Member Functions

failure (const char *, const error_code &=io_errc::stream)
failure (const string &, const error_code &)
failure (const string &__str)
const error_code & code () const noexcept
virtual const char * what () const throw ()

Detailed Description

These are thrown to indicate problems with io.

27.4.2.1.1 Class ios_base::failure

Member Function Documentation

  virtual const char * std::ios_base::failure::what () const [virtual]
Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor).

Reimplemented from std::runtime_error.

References what().

Referenced by what().

Author

Generated automatically by Doxygen for libstdc++ from the source code.